#ifndef	__GRAPH_H__
#define	__GRAPH_H__
//*******************************************************
//
//	MP3 Player in SEGA Visual Memory
//
//	グラフィック・漢字表示関係
//
//	ATmega1284p
//		efuse:0xFD	BOD 2.7V
//		hfuse:0xD1	JTAG禁止, EEPROM消去保護
//		lfuse:0xE2	内蔵CR発振 8MHz
//
//	Compiler:	AVR-GCC		4.3.5
//				AVR-LIBC	1.6.8
//				binutils	2.20
//
//	2012.6.10	KAWAKAMI Yukio
//*******************************************************

#define	LINE_SPACE	2	// 行間

#define	NO_CODE	0x81AC		// Unicodeに対応した Shift_JISコードが無い場合


void put_grp(short xs, short ys, uchar res);
char load_grp(char *fname, int x, int y);

short check_utf8_area_size(char *str, uchar font, short max_width, short *width_p, short *height_p);
short check_sjis_area_size(char *str, uchar font, short max_width, short *width_p, short *height_p);
void print_utf8(short x, short y, short width, uchar font, char *str);
void print_sjis(short x, short y, uchar font, char *str);

void utf8_to_sjis(uchar *utf, uchar *sjis, short max);

void	putkj(uchar x, uchar y, uchar font, ushort sjis);

void	put_icon(uchar x, uchar y, uchar icon, int color);

uint	unicode_to_sjis(uint uni);
char	is_sjis1(uchar c);

void	load_font_file(void);


#endif	// __GRAPH_H__
