#ifndef	__ID3_H__
#define	__ID3_H__
//*******************************************************
//
//	MP3 Player in SEGA Visual Memory
//
//	ID3タグ関係
//
//	ATmega1284p
//		efuse:0xFD	BOD 2.7V
//		hfuse:0xD1	JTAG禁止, EEPROM消去保護
//		lfuse:0xE2	内蔵CR発振 8MHz
//
//	Compiler:	AVR-GCC		4.3.5
//				AVR-LIBC	1.6.8
//				binutils	2.20
//
//	2012.6.10	KAWAKAMI Yukio
//*******************************************************

#include	<avr/pgmspace.h>
#include	"ff.h"

#define	ID3_NAME_SIZE	96

struct ID3_TAG {
	char	title[ID3_NAME_SIZE];
	char	artist[ID3_NAME_SIZE];
	char	album[ID3_NAME_SIZE];
	uchar		track;
	uchar		all_track;
	ushort		year;
};

int get_id3(FIL *file, struct ID3_TAG *tag);

int get_ID3_str(FIL *file, char *str, long size, short max);
long get_id3_long(uchar *buff);
void UCS2_to_SJIS(uchar *ucs, uchar *sjis, short max, char be);
void copy_SJIS(uchar *src, uchar *dst, short max);
char check_UTF8(uchar *str);


#endif	// __ID3_H__
