#ifndef	__MP3_H__
#define	__MP3_H__
//*******************************************************
//
//	MP3 Player in SEGA Visual Memory
//
//	MP3再生処理
//
//	ATmega1284p
//		efuse:0xFD	BOD 2.7V
//		hfuse:0xD1	JTAG禁止, EEPROM消去保護
//		lfuse:0xE2	内蔵CR発振 8MHz
//
//	Compiler:	AVR-GCC		4.3.5
//				AVR-LIBC	1.6.8
//				binutils	2.20
//
//	2012.6.10	KAWAKAMI Yukio
//*******************************************************

#include	"ff.h"
#include	"id3.h"

#define	BAR_GRAPH_MAX	100

char job_mp3(void);

void print_decode_info(void);
void print_mp3_info(ushort n, ushort count, struct ID3_TAG *tag);
void word_wrap(char str[], short width);
short check_line(char *sjis, short width, char font);
void trim_line(char *str, char font, char line);

void print_bar_graph(short level);

FRESULT	mp3_open(char *fname);
void mp3_close();
ushort search_sound_file(ushort num, FILINFO *file);


#endif	// __MP3_H__
