#ifndef	__ROM_H__
#define	__ROM_H__
//*******************************************************
//
//	MP3 Player in SEGA Visual Memory
//
//	シリアルフラッシュROM関係
//
//	ATmega1284p
//		efuse:0xFD	BOD 2.7V
//		hfuse:0xD1	JTAG禁止, EEPROM消去保護
//		lfuse:0xE2	内蔵CR発振 8MHz
//
//	Compiler:	AVR-GCC		4.3.5
//				AVR-LIBC	1.6.8
//				binutils	2.20
//
//	2012.5.25	KAWAKAMI Yukio
//*******************************************************

#define		FONT12_ADRS		0
#define		FONT14_ADRS		0x40000L
#define		FONT16_ADRS		0x80000L
#define		UNICODE_ADRS		0xD0000L
#define		VS1053B_PATCH_ADRS	0xE0000L
#define		FM_LIST_ADRS		0xF0000L

#define		ADRS_RESOURCE	0x100000L
#define		RESOURCE_FNAME	"VM-10.RES"

void load_resource(void);
char resource_adrs_size(uchar n, ulong *a, ulong *s);
ulong resource_adrs(uchar n);

void ROM_wait(void);
void ROM_read(ulong adrs, uchar *buff, int n);
void ROM_write(ulong adrs, uchar *buff, int n);
void ROM_write_block(ulong adrs, uchar *buff, int n);
uchar ROM_status(void);
void ROM_sector_erase(uchar sector);
void ROM_unprotect_all_sectors(void);


#endif	// __ROM_H__
